<?php
// $Id $

/**
 * Implementation of hook_panels_layouts().
 *
 * This just provides the name and implementation of the layout.
 *
 * It must be named:
 * <modulename>_<layoutname>_panels_layouts()
 *
 * and <layoutname> must be the same as the base of this filename.
 * Since this is the 'twocol_example' layout, this file (and directory)
 * is twocol_example.inc and the function is
 * panels_plugin_example_twocol_example_panels_layouts().
 *
 * This is just a more-commented version of the twocol.inc found in
 * panels/plugins/layouts.  You can look in panels/plugins/layouts for
 * more several more sophisticated layouts as well.
 */
function panels_plugin_example_twocol_example_panels_layouts() {
  $items['twocol_example'] = array(
    'title' => t('Example: Two column'),

    // An icon file, in this directory
    'icon' => 'twocol_example.png',

    // Theme for the panel.
    // Naming is extremely restrictive. It seems to be
    // <descriptor1>_<descriptor2>
    // and the resulting tpl.php file will be
    // <descriptor1>-<descriptor2>.tpl.php.
    // Note that the hyphen is used in the tpl.php file, but an underscore here.
    // Remember that when you introduce or rename a new tpl.php,
    // clear the theme registry.
    'theme' => 'example_twocolexample',

    // A css file, in this directory
    'css' => 'twocol_example.css',

    // The names of the panel regions.
    'panels' => array(
      'left' => t('Left side'),
      'right' => t('Right side')
    ),
  );

  return $items;
}